<?php include '../../include/navbar.html'; ?>
<?php include 'CRUD/read.php'; ?>
<?php $id=$_GET['id'];?>

    <div class='container-fluid'>
        <div class="row p-3">
            <h1>Editar Usuario</h1>
        </div>
        <div class="row p-3">
            <div class="col">
                <div class="container shadow-lg rounded m-auto p-5">
                    <!-- El formulario debe aparecer llenado con los valores actuales de los parámetros -->
                    <form action="admin/users/CRUD/update.php">
                        <div class="form-group">
                            <label for="name">Nombre</label>
                            <?php echo "<input type='text' class='form-control' placeholder='Nombre' id='name' required value= $nombres[$id]>";?>
                        </div>
                        <div class="form-group">
                            <label for="surname">Apellido</label>
                            <?php echo "<input type='text' class='form-control' placeholder='Apellido' id='surname' value= $apellidos[$id]>";?>
                        </div>
                        <div class="form-group">
                            <label for="email">Correo Electrónico</label>
                            <?php echo "<input type='email' class='form-control' placeholder='correo@electronico.com' id='email' required value= $correos[$id]>";?>
                        </div>
                        <div class="form-group">
                            <label for="pwd">Contraseña</label>
                            <?php echo "<input type='password' class='form-control' placeholder='Contraseña' id='pwd' required value= $contraseñas[$id]>";?>
                        </div>
                        <!-- NOTA: Los valores están en duro para esta tarea. -->
                        <div class="form-group">
                            <label for="country">País</label>
                            <!-- NOTA: FALTA ELIMINAR QUE SE REPITE EL PAIS DEL USUARIO. -->
                            <?php echo"<select class='form-control' id='country'>
                                <option value = 0 selected>$paises[$id]</option>
                              <option value='1'>Angola</option>
                              <option value='2'>Sudáfrica</option>
                              <option value='3'>Canadá</option>
                              <option value='4'>Estados Unidos</option>
                              <option value='5'>Chile</option>
                              <option value='6'>Australia</option>
                              <option value='7'>India</option>
                              <option value='8'>Corea del Sur</option>
                              <option value='9'>Rusia</option>
                              <option value='10'>Suiza</option>
                            </select>";?>
                          </div>
                        <div class='d-flex justify-content-end'>
                            <a class="btn btn-secondary mx-3" href="/admin/users/all.html">Volver</a>
                            <button type="submit" class="btn btn-primary">Guardar cambios</button>
                        </div>
                      </form>
                </div>
            </div>
        </div>
    </div>
</body>

</html>